查询违规记录
认证
BearerAuth 位置: header
Query 参数
11 <= value101 <= value <= 100Comma-separated InfractionStatus (WAITING_PSP,CLOSED,OPEN,CANCELLED,ACKNOWLEDGED,DEFENDED,ANSWERED,WAITING_ADJUSTMENTS)
Comma-separated InfractionType (REFUND_REQUEST,FRAUD,REFUND_CANCELLED)
Comma-separated AnalysisResult
Comma-separated ReportedType (DEBITED_PARTICIPANT,CREDITED_PARTICIPANT)
Sort field.
Sort direction.
"asc" | "desc"Filter: reportedAt from.
date-timeFilter: reportedAt up to.
date-timeFilter: createdAt from.
date-timeFilter: createdAt up to.
date-timeFilter: expiresAt from.
date-timeFilter: expiresAt up to.
date-timeFilter: updatedAt from.
date-timeFilter: updatedAt up to.
date-timeFilter: needs manual review.
Filter by infraction ID.
Filter by protocol.
响应体
application/json
application/json
application/json
application/json
curl -X GET "https://api.exemplo.processamento.com/v1/user/infractions"{
"infractions": [
{
"id": "infraction_id",
"protocol": "PROTOCOL123",
"status": "OPEN",
"type": "FRAUD",
"reportedBy": "DEBITED_PARTICIPANT",
"reportDetails": "Transação não autorizada",
"analysisResult": null,
"analysisDetails": null,
"reportedAt": "2024-01-15T10:30:00Z",
"expiresAt": "2024-02-15T10:30:00Z",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"transaction": {
"id": "transaction_id",
"amount": 100.5,
"payerName": "João Silva",
"payerDocument": "12345678901",
"receiverName": "Maria Santos",
"receiverDocument": "12345678901",
"endToEndId": "E12345678202401151030001"
},
"defenseHistory": []
}
],
"pagination": {
"page": 1,
"limit": 20,
"totalItems": 45,
"totalPages": 3
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "querystring/dateFrom Invalid input: expected string, received undefined",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing or invalid Bearer token",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}违规争议 (MED)
Endpoints para lidar com disputas Pix abertas via Mecanismo Especial de Devolução (MED) do Bacen. Listar infrações, ver detalhe, submeter defesa e acompanhar histórico de defesas.
Detalhe da infração GET
Retorna o detalhe completo de uma infração: motivo, valor contestado, prazo de defesa e transação relacionada.